<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net9.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
    </PropertyGroup>

    <ItemGroup>
      <ProjectReference Include="..\Beam.Abstractions\Beam.Abstractions.csproj" />
      <ProjectReference Include="..\Beam.Exceptions\Beam.Exceptions.csproj" />
      <ProjectReference Include="..\Beam.Models\Beam.Models.csproj" />
    </ItemGroup>

    <ItemGroup>
      <PackageReference Include="Microsoft.Extensions.Logging.Abstractions" Version="9.0.9" />
      <PackageReference Include="System.IO.Hashing" Version="10.0.0" />
      <PackageReference Include="System.Linq.Async" Version="6.0.3" />
    </ItemGroup>

</Project>
